/// <reference types="node" />
import { ChildProcessWithoutNullStreams, ForkOptions } from 'child_process';
import { TestSpec } from './test_spec';
/**
 * An error "class" that means that an error occured when listing the tests of
 * a suite.
 */
export declare class ListTestError extends Error {
    readonly timeout: boolean;
    constructor(message?: string, errorOutput?: string, timeout?: boolean);
}
export type ForkFn = (modulePath: string, args: ReadonlyArray<string>, options?: ForkOptions) => ChildProcessWithoutNullStreams;
export type Options = {
    fork?: ForkFn;
};
export declare function listTestsOfFile(timeout: number, testInterfacePath: string, testInterfaceParameter: string | undefined, suite: string, options?: Options): Promise<TestSpec[]>;
