import { TestPath } from '../test_path';
import { Message } from './message';
import Reporter, { RegisterOptions } from './reporter';
/**
 * Combined is a reporter mainly for internal use by the suite
 * runner. It forwards all messages to other reporters.
 */
export default class Combined<T extends Message = Message> implements Reporter<T> {
    private reporters;
    constructor(reporters?: Reporter<T>[]);
    registerTests(tests: TestPath[], options: RegisterOptions, time: Date): void;
    registrationFailed(error: Error, time: Date): void;
    gotMessage(testPath: TestPath, message: T, time: Date): void;
    done(time: Date): void;
}
