"use strict";
/*
 * Copyright 2014 Per Eckerdal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Combined is a reporter mainly for internal use by the suite
 * runner. It forwards all messages to other reporters.
 */
class Combined {
    constructor(reporters = []) {
        this.reporters = reporters;
    }
    registerTests(tests, options, time) {
        this.reporters.forEach((reporter) => { var _a; return (_a = reporter.registerTests) === null || _a === void 0 ? void 0 : _a.call(reporter, tests, options, time); });
    }
    registrationFailed(error, time) {
        this.reporters.forEach((reporter) => { var _a; return (_a = reporter.registrationFailed) === null || _a === void 0 ? void 0 : _a.call(reporter, error, time); });
    }
    gotMessage(testPath, message, time) {
        this.reporters.forEach((reporter) => { var _a; return (_a = reporter.gotMessage) === null || _a === void 0 ? void 0 : _a.call(reporter, testPath, message, time); });
    }
    done(time) {
        this.reporters.forEach((reporter) => { var _a; return (_a = reporter.done) === null || _a === void 0 ? void 0 : _a.call(reporter, time); });
    }
}
exports.default = Combined;
