/// <reference types="node" />
import { Writable } from 'stream';
import { TestPath } from '../test_path';
import { BreadcrumbMessage, ErrorMessage, FinishMessage, Message } from './message';
import MessageTracker from './message_tracker';
import PhaseTracker from './phase_tracker';
import Reporter from './reporter';
/**
 * ErrorDetail is a reporter that, when all tests have run, prints the errors
 * that occured. This is typically used together with other reporters for
 * example the SpecProgress reporter and the Summary reporter.
 */
export default class ErrorDetail implements Reporter {
    private _stream;
    _failures: {
        test: TestPath;
        message: FinishMessage;
    }[];
    _errorTracker: MessageTracker<ErrorMessage>;
    _breadcrumbTracker: MessageTracker<BreadcrumbMessage>;
    _phaseTracker: PhaseTracker;
    constructor(_stream: Writable);
    registrationFailed(error: Partial<ErrorMessage>): void;
    gotMessage(testPath: TestPath, message: Message): void;
    done(): void;
}
