"use strict";
/*
 * Copyright 2014 Per Eckerdal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _ErrorDetector_didFail, _ErrorDetector_testPath, _ErrorDetector_message;
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * ErrorDetector is a reporter mainly for internal use by the suite
 * runner. It remembers if any of the tests runs failed.
 */
class ErrorDetector {
    constructor() {
        _ErrorDetector_didFail.set(this, false);
        _ErrorDetector_testPath.set(this, null);
        _ErrorDetector_message.set(this, null);
    }
    gotMessage(testPath, message) {
        if (message.type === 'finish' && !['success', 'skipped'].includes(message.result)) {
            __classPrivateFieldSet(this, _ErrorDetector_didFail, true, "f");
            __classPrivateFieldSet(this, _ErrorDetector_testPath, testPath, "f");
            __classPrivateFieldSet(this, _ErrorDetector_message, message, "f");
        }
    }
    didFail() {
        return __classPrivateFieldGet(this, _ErrorDetector_didFail, "f");
    }
    testPath() {
        return __classPrivateFieldGet(this, _ErrorDetector_testPath, "f");
    }
    message() {
        return __classPrivateFieldGet(this, _ErrorDetector_message, "f");
    }
}
exports.default = ErrorDetector;
_ErrorDetector_didFail = new WeakMap(), _ErrorDetector_testPath = new WeakMap(), _ErrorDetector_message = new WeakMap();
