import { TestPath } from '../test_path';
import { Message } from './message';
import Reporter from './reporter';
/**
 * MessageTracker is a very basic reporter (in the sense that it conforms to the
 * reporter interface) that does nothing but keep track of messages of a given type
 * that tests emit.
 *
 * It doesn't actually report anything anywhere but it exposes an accessor for
 * getting the relevant messages that a test has emitted so far.
 *
 * This is useful for example when not immediately showing errors or breadcrumbs for
 * tests.
 */
export default class MessageTracker<T extends Message> implements Reporter {
    #private;
    private messageType;
    constructor(messageType: T['type']);
    private addMessage;
    private testTimedOut;
    getMessages(testPath: TestPath): T[];
    gotMessage(testPath: TestPath, message: Message): void;
}
