/// <reference types="node" />
import { Writable } from 'stream';
import Combined from './combined';
export type Streams = {
    stdout: Writable;
};
/**
 * Spec is a reporter that combines other reporters to form a complete bdd spec
 * style reporter. Please don't add logic to this class, it's supposed to only
 * combine other reporters. One reason for this is raw elegance, another is that
 * it is rather hard to test things on this high level.
 *
 * @param streams An object of the form { stdout: y, stderr: z }.
 *     Output and results of tests will be piped to these streams. All three
 *     streams are optional: if a stream is missing, the test output for that
 *     stream is ignored. The parameter itself is optional too; if nothing is
 *     passed, things are printed to the stdio streams of the process.
 */
export default class Spec extends Combined {
    constructor({ stdout }?: Streams);
}
