/// <reference types="node" />
import { Writable } from 'stream';
import { TestPath } from '../test_path';
import { Message } from './message';
import Reporter, { RegisterOptions } from './reporter';
/**
 * Summary is a reporter that monitors the results of the tests and when all the
 * tests have run, it prints out a summary that counts the number of tests that
 * passed, failed or timed out.
 *
 * @param stream The stream to print to.
 */
export default class Summary implements Reporter {
    private _stream;
    _startedAt: Date | undefined;
    _numResultsOfType: Map<"timeout" | "skipped" | "failure" | "success" | "aborted", number>;
    constructor(_stream: Writable);
    registerTests(_path: TestPath[], _opts: RegisterOptions, time: Date): void;
    gotMessage(_: TestPath, message: Message): void;
    done(time: Date): void;
}
