/// <reference types="node" />
import Serializer from './serializer';
import MessageTracker from './message_tracker';
import PhaseTracker from './phase_tracker';
import { BreadcrumbMessage, ErrorMessage, FinishMessage, Message } from './message';
import { Writable } from 'stream';
import { TestPath } from '../test_path';
import Reporter from './reporter';
/**
 * Teamcity is a reporter that reports test results in Teamcity's message
 * format.
 */
export declare class Teamcity<T extends FinishMessage> implements Reporter<Message<T>> {
    private _stream;
    _emittedErrorForTest: Set<string>;
    _errorTracker: MessageTracker<ErrorMessage>;
    _breadcrumbTracker: MessageTracker<BreadcrumbMessage>;
    _phaseTracker: PhaseTracker;
    _bufferedTestOutput: Map<string, string>;
    constructor(_stream: Writable);
    registrationFailed(error: Error): void;
    private _write;
    private _bufferTestOutput;
    private _writeBufferedOutput;
    private _clearBufferedOutput;
    private _emitErrorForTest;
    gotMessage(testPath: TestPath, message: Message<T>): void;
}
export default function <T extends FinishMessage>(stream: Writable): Serializer<T>;
