import { TestPath } from '../test_path';
import Combined from './combined';
import { Message, MessageWithSlowness } from './message';
import Reporter, { RegisterOptions } from './reporter';
/**
 * Timer is a reporter for internal use by the suite runner. It forwards all
 * messages to another reporter, but also adds "time", "slow" and "halfSlow"
 * fields to finish messages.
 *
 * This is used in the suite runner as a way to move logic out of that file.
 */
export default class Timer extends Combined<MessageWithSlowness> {
    _defaultSlowThreshold: number | undefined;
    _slowThresholdOverrides: Map<string, number>;
    _testStartTime: Map<string, number>;
    _testDoneTime: Map<string, number>;
    constructor(reporter: Reporter<MessageWithSlowness>);
    private getSlowThresholdForTest;
    private setSlowThresholdForTest;
    registerTests(tests: TestPath[], options: RegisterOptions, time: Date): void;
    gotMessage(testPath: TestPath, message: Message, time: Date): void;
}
