import { TestPath } from '../test_path';
import { Message } from './message';
import Reporter, { RegisterOptions } from './reporter';
import InternalReporter from './internal_reporter';
/**
 * TimestamperReporter is a reporter mainly for internal use by the suite runner.
 * It forwards all messages to a Reporter (public API), and adds the timestamp
 * as required by the Reporter API.
 *
 * At first, I added the logic for doing this to the suite runner itself, but
 * the code got quite messy so it's extracted to a separate file with this.
 */
export default class TimestamperReporter implements InternalReporter {
    private _reporter;
    private _clock;
    constructor(_reporter: Reporter, _clock: () => Date);
    registerTests(tests: TestPath[], options: RegisterOptions): void;
    registrationFailed(error: Error): void;
    gotMessage(testPath: TestPath, message: Message): void;
    done(): void;
}
