"use strict";
/*
 * Copyright 2014 Per Eckerdal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * TimestamperReporter is a reporter mainly for internal use by the suite runner.
 * It forwards all messages to a Reporter (public API), and adds the timestamp
 * as required by the Reporter API.
 *
 * At first, I added the logic for doing this to the suite runner itself, but
 * the code got quite messy so it's extracted to a separate file with this.
 */
class TimestamperReporter {
    constructor(_reporter, _clock) {
        this._reporter = _reporter;
        this._clock = _clock;
    }
    registerTests(tests, options) {
        var _a, _b;
        (_b = (_a = this._reporter).registerTests) === null || _b === void 0 ? void 0 : _b.call(_a, tests, options, this._clock());
    }
    registrationFailed(error) {
        var _a, _b;
        (_b = (_a = this._reporter).registrationFailed) === null || _b === void 0 ? void 0 : _b.call(_a, error, this._clock());
    }
    gotMessage(testPath, message) {
        var _a, _b;
        (_b = (_a = this._reporter).gotMessage) === null || _b === void 0 ? void 0 : _b.call(_a, testPath, message, this._clock());
    }
    done() {
        var _a, _b;
        (_b = (_a = this._reporter).done) === null || _b === void 0 ? void 0 : _b.call(_a, this._clock());
    }
}
exports.default = TimestamperReporter;
