import { TestPath } from './test_path';
/**
 * Test count is a helper class that operates on test paths and helps you to
 * keep track of how many tests there are in a given suite, including its
 * subsuites.
 *
 * Conceptually, TestCount is a set of test paths. You can add and remove tests
 * paths to the set, and you can query the set for how many tests there are in
 * a given suite.
 *
 * This is useful for example when you need to count remaining tests.
 */
export default class TestCount {
    #private;
    /**
     * For a given suite path, increment the number of tests in it and its ancestors
     * by a given amount.
     */
    private incrementValueForSuitePath;
    addTest(testPath: TestPath): void;
    /**
     * Helper method that is like addTest but it takes an array of test paths and
     * adds all of them.
     */
    addTests(testPaths: TestPath[]): void;
    removeTest(testPath: TestPath): void;
    numberOfTestsInSuite(suitePath: TestPath): number;
}
